Subject: ip netns exec after unshare --map-root-user

From: Robin Kreis <[email-masked]>
Date: Thu, 8 May 2014 14:06:03 +0200

Hi!

After 'unshare --map-root-user --mount' and ensuring that /var/run/netns
is writable (possibly by binding another directory there), a network
namespace can be created by running 'ip netns create test'.

However, 'ip netns exec test sh' exits when it attempts to
unmount /sys.  I don't think that the failing to umount /sys should be a
fatal error, because the following mount call ensures that /sys has the
right contents.  I checked that 'ip netns exec' works fine when the
error returned by umount is ignored.  Should I submit a patch to
iproute2?

Please CC me, because I'm not subscribed to the mailing list.

Greetings,
Robin Kreis